Skip to main content
Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 0.6SynchronousAuth Required

UpdateRole

UpdateRole

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updateroleObjectRequired

    updaterole request body object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • statementsList

      Optional. The permission statements.

    • policyUuidsList

      Optional. The permission policy UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryRoleInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeRoleTypeRequired

      See type.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • statementsListRequired

      See statements.

      • uuidStringRequired

        The resource UUID.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • statementPolicyStatementRequired

        See statement.

        • nameStringRequired

          The resource name.

        • principalsListRequired

          No description provided.

        • actionsListRequired

          动作。

        • resourcesListRequired

          资源列表。

        • effectStatementEffectRequired

          See effect.

          • nameStringRequired

            The resource name.

          • ordinalintRequired

            No description provided.

Endpoint

PUT/zstack/v1/identities/roles/{uuid}

/zstack/v1/identities/roles/{uuid}

Operation ID

UpdateRole

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/identities/roles/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updaterole":{"name":"<name>","description":"<description>","statements":["<statements>"],"policyUuids":["<policyUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "14c577188a0c3ee8871e27087a287bc2", "name": "role-1", "description": "role for test", "type": "Customized", "state": "Enabled", "statements": [ "statement for test" ] } }

Change History

This API has no change history records yet.

View all change history